import * as Yup from 'yup';

export const driverAbsenceValidationSchema = Yup.object().shape({
  dateDebut: Yup.string().required('La date de début est requise'),
  dateFin: Yup.string().required('La date de fin est requise'),
  justificatif: Yup.string().nullable(),
  statut: Yup.string().nullable(),
  validePar: Yup.string().nullable(),
  chauffeurAffecte: Yup.string().required('Le chauffeur affecté à un trajet est requis'),
  chauffeur: Yup.string().required('Le chauffeur est requis'),
  typeAbsence: Yup.string().required('Le type d\'absence est requis'),
  modeReception: Yup.string().required('Le mode de réception est requis'),
  nombreHeures: Yup.string().required('Le nombre d\'heures est requis'),
}); 